Jmod.ResolutionWarningSpec (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.modules, class: Jmod, class: ResolutionWarningSpec

Package org.apache.tools.ant.taskdefs.modules

# Class Jmod.ResolutionWarningSpec

java.lang.Object
org.apache.tools.ant.taskdefs.modules.Jmod.ResolutionWarningSpec

Enclosing class:
  `Jmod`

public class Jmod.ResolutionWarningSpec extends Object
Child element which enables jmod tool warnings. 'reason' attribute is required.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResolutionWarningSpec()`
  Creates an uninitialized element.
  `ResolutionWarningSpec(String reason)`
  Creates an element with the given reason attribute.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Jmod.ResolutionWarningReason`
  `getReason()`
  Required attribute containing reason for emitting jmod warnings.
  `void`
  `setReason(Jmod.ResolutionWarningReason reason)`
  Sets attribute containing reason for emitting jmod warnings.
  `void`
  `validate()`
  Verifies this object's state.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResolutionWarningSpec

    public ResolutionWarningSpec()
    Creates an uninitialized element.

  - ### ResolutionWarningSpec

    public ResolutionWarningSpec(String reason)
    Creates an element with the given reason attribute.
    Parameters:
      `reason` - non`null` `Jmod.ResolutionWarningReason` value
    Throws:
      `BuildException` - if argument is not a valid `ResolutionWarningReason`

- ## Method Details

  - ### getReason

    public Jmod.ResolutionWarningReason getReason()
    Required attribute containing reason for emitting jmod warnings.
    Returns:
      condition which triggers jmod warnings

  - ### setReason

    public void setReason(Jmod.ResolutionWarningReason reason)
    Sets attribute containing reason for emitting jmod warnings.
    Parameters:
      `reason` - condition which triggers jmod warnings

  - ### validate

    public void validate()
    Verifies this object's state.
    Throws:
      `BuildException` - if this object's reason is `null`